package com.ruoyi.baseinfo.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 设备基础信息对象 base_device_info
 * 
 * @author CaesarBao
 * @date 2020-10-26
 */
@Data
public class BaseDeviceInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long objid;

    /** 设备ID */
    @Excel(name = "设备ID")
    private String deviceId;

    /** 工序ID */
    @Excel(name = "工序ID")
    private String workingProcedureId;

    /** 设备名称 */
    @Excel(name = "设备名称")
    private String deviceName;

    /** 价格 */
    @Excel(name = "价格")
    private Long price;

    /** 设备规格型号 */
    @Excel(name = "设备规格型号")
    private String deviceType;

    /** 状态标志（0代表可用 1代表停用） */
    @Excel(name = "状态标志", readConverterExp = "0=代表可用,1=代表停用")
    private String status;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    private String workingProcedureName;

    private boolean flag = false;

    public void setObjid(Long objid)
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setDeviceId(String deviceId) 
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId() 
    {
        return deviceId;
    }
    public void setWorkingProcedureId(String workingProcedureId) 
    {
        this.workingProcedureId = workingProcedureId;
    }

    public String getWorkingProcedureId() 
    {
        return workingProcedureId;
    }
    public void setDeviceName(String deviceName) 
    {
        this.deviceName = deviceName;
    }

    public String getDeviceName() 
    {
        return deviceName;
    }
    public void setPrice(Long price) 
    {
        this.price = price;
    }

    public Long getPrice() 
    {
        return price;
    }
    public void setDeviceType(String deviceType) 
    {
        this.deviceType = deviceType;
    }

    public String getDeviceType() 
    {
        return deviceType;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("deviceId", getDeviceId())
            .append("workingProcedureId", getWorkingProcedureId())
            .append("deviceName", getDeviceName())
            .append("price", getPrice())
            .append("deviceType", getDeviceType())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
